libntl5_6.2.1-1_i386.deb


Advertisement

Description

libntl5 - Number Theory Library, shared library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libntl5
Package version 6.2.1
Package release 1
Package architecture i386
Package type deb
Installed size 1.87 KB
Download size 597.03 KB
Official Mirror ftp.br.debian.org
NTL is a high-performance, portable C++ library providing
data structures and algorithms for manipulating signed,
arbitrary length integers, and for vectors, matrices,
and polynomials over the integers and over finite fields.
This package contains the NTL shared library.

Alternatives

Package Version Architecture Repository
libntl5_6.2.1-1_amd64.deb 6.2.1 amd64 Debian Main
libntl5 - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:4.1.1
libgmp10 -
libstdc++6 >= 4.2.1

Download

Type URL
Binary Package libntl5_6.2.1-1_i386.deb
Source Package ntl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libntl5 deb package:
    # sudo apt-get install libntl5

Files

Path
/usr/lib/libntl.so.5
/usr/lib/libntl.so.5.0.0
/usr/share/doc/libntl5/changelog.Debian.gz
/usr/share/doc/libntl5/copyright

Changelog

2014-08-26 - Julien Puydt <julien.puydt@laposte.net>
ntl (6.2.1-1) unstable; urgency=low
[Julien Puydt]
* new upstream relase (Closes: 758006)
* added myself to uploaders
* upstream configure doesn't know about CFLAGS anymore
* upstream's soname is now up to libntl5
* build-depend on libtool-bin since that is what the build
system uses (Closes: #761780)
* remove the symbols file (it's a pain to keep up to date
for ridiculous return on investment)
* work on d/copyright
2012-05-15 - Bernhard R. Link <brlink@debian.org>
ntl (5.5.2-2) unstable; urgency=low
* add more optional symbols to avoid
failure with g++-4.7 (Closes: 667300)
* increase Standards-Version
2012-02-11 - Bernhard R. Link <brlink@debian.org>
ntl (5.5.2-1) unstable; urgency=low
* this is still a preview, but most likely already complete
* moved to debian-science team as new maintainer
- old uploader removed so no longer misspelled (Closes: 512636)
[ Bernhard R. Link ]
* upstream uses libtool with proper soname, so it's libntl0 now
* repackage using plain debhelper instead of cdbs
* "3.0 (quilt)" format source package
* include documentation to -dev package (Closes: 585158)
* add a symbols file
[ Felix Salfelder ]
* debian/copyright
2011-05-09 - Aurelien Jarno <aurel32@debian.org>
ntl (5.4.2-4.1) unstable; urgency=low
* Non-maintainer upload.
* Fix gcc-4.5 FTBFS on mips, due to old assembly constraints usage
(Closes: #623162).
2009-01-04 - Tim Abbott <tabbott@mit.edu>
ntl (5.4.2-4) unstable; urgency=low
* Fix a missing cstdio include that slipped by (Closes: #505142).
* Update Standards-Version to 3.8.0.
2008-11-09 - Tim Abbott <tabbott@mit.edu>
ntl (5.4.2-3) unstable; urgency=low
* Fix gcc-4.4 FTBFS from missing cstdio includes.  Thanks to Martin
Michlmayr (Closes: #505142).
2008-06-17 - Tim Abbott <tabbott@mit.edu>
ntl (5.4.2-2) unstable; urgency=low
* Set priority to optional.
* Provide more detailed copyright information.
2008-05-27 - Tim Abbott <tabbott@mit.edu>
ntl (5.4.2-1) unstable; urgency=low
* Initial release (Closes: #480096).

See Also

Package Description
libntlm0-dev_1.4-3_i386.deb Development files for the NTLM authentication library
libntlm0_1.4-3_i386.deb NTLM authentication library
libntrack-dev_016-1.3_i386.deb Development package for ntrack
libntrack-glib-dev_016-1.3_i386.deb development package for libntrack glib API
libntrack-glib2_016-1.3_i386.deb glib API for ntrack
libntrack-gobject-dev_016-1.3_i386.deb Development package for libntrack-gobject API
libntrack-gobject1_016-1.3_i386.deb GObject API for ntrack
libntrack-qt4-1_016-1.3_i386.deb Qt 4 API for ntrack
libntrack-qt4-dev_016-1.3_i386.deb Development package for libntrack-qt4
libntrack0_016-1.3_i386.deb lightweight connectivity tracking library
libnuclient-dev_2.4.3-3.1_i386.deb The authenticating firewall [client development files]
libnuclient4_2.4.3-3.1_i386.deb The authenticating firewall [client library]
libnuget-core-cil-dev_2.8.1+md54+dhx2-1_all.deb Package manager for NuGet repos - development
libnuget-core-cil_2.8.1+md54+dhx2-1_all.deb Package manager for NuGet repos - library
libnuma-dev_2.0.10-1_i386.deb Development files for libnuma
Advertisement
Advertisement